//*************************************************************
//              FTB (Function Type Byte) Values
//*************************************************************

// Display Texts

// "Printf" String or Variable
#define SERIC_FTB_str     0
#define SERIC_FTB_1u      1
#define SERIC_FTB_1      -1
#define SERIC_FTB_2u      2
#define SERIC_FTB_2      -2
#define SERIC_FTB_4       4
#define SERIC_FTB_8f      8

// Draw String or Variable
#define SERIC_FTB_Gstr                 16+SERIC_FTB_str
#define SERIC_FTB_G1u                  16+SERIC_FTB_1u
#define SERIC_FTB_G1                   16+SERIC_FTB_1
#define SERIC_FTB_G2u                  16+SERIC_FTB_2u
#define SERIC_FTB_G2                   16+SERIC_FTB_2
#define SERIC_FTB_G4                   16+SERIC_FTB_4
#define SERIC_FTB_G8f                  16+SERIC_FTB_8f

// General Functions

// Paint Tools
#define SERIC_FTB_NewBrush                32
#define SERIC_FTB_NewPen                  33
#define SERIC_FTB_NewFont                 34

// Canvas
#define SERIC_FTB_NewCanvas               35
#define SERIC_FTB_ShowCanvas              36
#define SERIC_FTB_SelectPaintTool         37
#define SERIC_FTB_SetTextColor            38

// Brush Drawing
#define SERIC_FTB_Solid                   39
#define SERIC_FTB_Frame                   40

// Pen Drawing
#define SERIC_FTB_Line                    41
#define SERIC_FTB_Arc                     42

// Pen+Brush Drawing
#define SERIC_FTB_Rectangle               43
#define SERIC_FTB_Ellipse                 44
#define SERIC_FTB_rRectangle              45
#define SERIC_FTB_Pie                     46
#define SERIC_FTB_Chord                   47

// Image Operation
#define SERIC_FTB_Invert                  48

// Mouse
#define SERIC_FTB_EnableClicks            49


//*************************************************************
//                         Data Values
//*************************************************************

// Default Drawing Tool-IDs
#define SERIC_DefBkBrush     0
#define SERIC_DefBrush       1
#define SERIC_DefPen         2
#define SERIC_DefFont        3

// Font Styles
#define SERIC_Font_Italic        0x1
#define SERIC_Font_Underline     0x2
#define SERIC_Font_StrikeOut     0x4

// DrawText Format
#define SERIC_DT_Center          0x1
#define SERIC_DT_Right           0x2

// Pressed-Key on Clicks
#define SERIC_Clicks_Ctrl        0x1
#define SERIC_Clicks_Shift       0x2


//*************************************************************
//                         Data Types
//*************************************************************

typedef struct SERICOND_Point_tag {
   short x;
   short y;
} SERICOND_Point;

typedef struct SERICOND_Rect_tag {
   short left;
   short top;
   short right;
   short bottom;
} SERICOND_Rect;

